package com.example.unodtantos.appqueology2.modelo;

import java.io.Serializable;

/**
 * Created by unodtantos on 18/03/2015.
 */
public class Nodo implements Serializable{

    /*--------------------------------------------------------------------------------------------*/

    // <editor-fold defaultstate="collapsed" desc="Atributos de la clase">

    private int id;
    private String nombre;
    private String tipo_ue;
    private String descripcion;
    private String fecha_creacion_ue;
    private String datacion_1;
    private String datacion_2;
    private String nombre_foto;
    private String fecha_foto;
    private String url_foto;
    private String localizacion;

    // </editor-fold>

    /*--------------------------------------------------------------------------------------------*/

    // <editor-fold defaultstate="collapsed" desc="Constructores de la clase">

    /**
     * Constructor de la clase.
     * @param id
     * @param nombre
     * @param tipo
     * @param descripcion
     * @param fecha_creacion_ue
     * @param datacion_1
     * @param datacion_2
     * @param nombre_foto
     * @param fecha_foto
     * @param url_foto
     * @param localizacion
     */
    public Nodo(int id, String nombre, String tipo,  String descripcion, String fecha_creacion_ue, String datacion_1, String datacion_2, String nombre_foto, String fecha_foto, String url_foto, String localizacion) {
        this.id = id;
        this.nombre = nombre;
        this.tipo_ue= tipo;
        this.descripcion = descripcion;
        this.fecha_creacion_ue = fecha_creacion_ue;
        this.datacion_1 = datacion_1;
        this.datacion_2 = datacion_2;
        this.nombre_foto = nombre_foto;
        this.fecha_foto = fecha_foto;
        this.url_foto = url_foto;
        this.localizacion= localizacion;
    }


    /**
     * Constructor de la clase vacío.
     */
    public Nodo(){    }

    // </editor-fold>

    /*--------------------------------------------------------------------------------------------*/

    // <editor-fold defaultstate="collapsed" desc="Getters and Setters">

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public String getTipoUe() {
        return tipo_ue;
    }

    public void setTipoUe(String tipo_ue) {
        this.tipo_ue = tipo_ue;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }

    public String getFechaCreacionUe() {
        return fecha_creacion_ue;
    }

    public void setFechaCreacionUe(String fecha_creacion_ue) {
        this.fecha_creacion_ue = fecha_creacion_ue;
    }

    public String getDatacion1() {
        return datacion_1;
    }

    public void setDatacion1(String datacion_1) {
        this.datacion_1 = datacion_1;
    }

    public String getDatacion2() {
        return datacion_2;
    }

    public void setDatacion2(String datacion_2) {
        this.datacion_2 = datacion_2;
    }

    public String getNombreFoto() {
        return nombre_foto;
    }

    public void setNombreFoto(String nombre_foto) {
        this.nombre_foto = nombre_foto;
    }

    public String getFechaFoto() {
        return fecha_foto;
    }

    public void setFechaFoto(String fecha_foto) {
        this.fecha_foto = fecha_foto;
    }

    public String getUrlFoto() {
        return url_foto;
    }

    public void setUrlFoto(String url_foto) {
        this.url_foto = url_foto;
    }

    public String getLocalizacion() {
        return localizacion;
    }

    public void setLocalizacion(String localizacion) {
        this.localizacion = localizacion;
    }

    // </editor-fold>

    /*--------------------------------------------------------------------------------------------*/

}
